  <?php get_header(); ?>

  <div id="rap">
    <div id="header">
	  <div id="rssicon">
	    <a href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed"><img alt="RSS" src="<?php bloginfo('stylesheet_directory'); ?>/images/rss.png" /></a>
	  </div>
	  
	  <h1>
		<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a>
	  </h1>
	  <h2><?php bloginfo('description'); ?></h2>
    </div>
		
    <div id="navcontainer">
	  <div id="search">
	    <?php include("searchform.php"); ?>
	  </div>
	  
      <ul id="menu">
          <li id="active"><a href="<?php bloginfo('url'); ?>" title="Home">Home</a></li>
          <?php wp_register(); ?>
          <li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed">RSS Feed</a></li>
          <li><a href="<?php bloginfo('comments_rss2_url'); ?>" 
		  	title="<?php _e('The latest comments to all posts in RSS'); ?>">RSS Comments Feed</a></li>
          <li><a href="mailto:<?php bloginfo('admin_email'); ?>" title="Contact Us">Contact</a></li>
          <li><?php wp_loginout(); ?></li>
      </ul>
    </div>
	
	<div class="colone">
	  <?php if (have_posts()) { ?>
	  
 	    <?php $post = $posts[0]; ?>
 	    <?php if (is_category()) { ?>
		  <h2 class="pagetitle">Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
 	    <?php } elseif (is_tag()) { ?>
		  <h2 class="pagetitle">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	    <?php } elseif (is_day()) { ?>
		  <h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
 	    <?php } elseif (is_month()) { ?>
		  <h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
 	    <?php } elseif (is_year()) { ?>
		  <h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
	    <?php } elseif (is_author()) { ?>
		  <h2 class="pagetitle">Author Archive</h2>
 	    <?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		  <h2 class="pagetitle">Blog Archives</h2>
 	    <?php } ?>

	    <!--
		  Here is where the posting gets put in, in 'The Loop'.
		  Go for it tiger.
		  -->
	    <?php while (have_posts()) : the_post();  ?>	  
          <?php require("post-category.php"); ?>		
	    <?php endwhile; ?>
		
		<div class="fullsize">
		  <div class="navigation">
		    <div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
		    <div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
		  </div>
		</div>
		
	  <?php } else { ?>
	  
	    <!-- 
		  Put something witty here so that people know you have an empty blog.
		  Loser.
		  -->
	    <h2>Not Found</h2>
	    <p>Sorry, but you are looking for something that isn't here.</p>
		
	  <?php } ?>
	  
	</div>
	
	<div id="sidebar">
	  <?php get_sidebar(); ?>
	</div>
	
	<div class="spacer">&nbsp;</div>
	
    <?php get_footer(); ?>