<!--
  News Print v2.1.2; comments file for wordpress 2.7 compatible threaded comments;
  //-->

<?php // Do not delete these lines
  if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

  // if there's a password
  if (post_password_required()) 
  { 
?>
	<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>
<?php
	return;
  }

  // This variable is for alternating comment background
  $oddcomment = 'alt';
?>

  <a id="comments"></a>
  <!-- 
    You can start editing here. 
	-->
  <?php if (have_comments()) { ?>
  <div class="commentsdiv">
    <!--
	  T R A C K B A C K S   /   P I N G B A C K S 
	  -->
	<?php if ($comment->comment_type == "trackback" || $comment->comment_type == "pingback" || 
			ereg("<pingback />", $comment->comment_content) || 
			ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>
			
	<div class="comments">
	  <ul class="commentlist">
	    <?php wp_list_comments('type=trackback'); ?>
	  </ul>
	</div> <!-- end .comments -->
	<?php } ?>
	 
    <!--
	  C O M M E N T S
	  -->
    <?php if ($comment->comment_type != "trackback" && $comment->comment_type != "pingback" && 
	       !ereg("<pingback />", $comment->comment_content) && 
		   !ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>	
		   
	<div class="comments">
	  <ul id="commentlist" class="commentlist">
		<?php wp_list_comments('type=comment'); ?>
	  </ul>
	</div> <!-- end .comments -->
	<?php } ?>
  </div> <!-- end .commentsdiv -->
  <?php } else { ?>

	<!-- 
	  If comments are open, but there are no comments. 
	  -->
    <?php if ('closed' == $post->comment_status) { ?> 
  <div class="commentsdiv">
	<div class="comments">
	  <div class="comments-top"></div>
	  <div class="comments-middle">
        <p>Comments are closed. Please check back later.</p>
	  </div>
	  <div class="comments-bottom">&nbsp;</div>
	</div> <!-- end .comments -->
  </div> <!-- end .commentsdiv -->
	<?php } ?>
  <?php } ?>



  <?php if ('open' == $post->comment_status) { ?>
  <div class="commentsdiv">
	<div class="comments-header">
      <h2>Please leave a reply...</h2>
	</div>
	
	<div class="commentform">
      <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	  
	  <div class="commentform-inputs">
		<div class="row">
	      <label for="author" class="text">Name:</label>
	      <input type="text" name="author" id="author" value="" class="text" tabindex="1" />
		</div>
		<div class="row">
	      <label for="email" class="text">Email:</label>
	      <input type="text" name="email" id="email" value="" class="text" tabindex="2" /><br />
		</div>
		<div class="row">
	      <label for="url" class="text">Website:</label>
	      <input type="text" name="url" id="url" value="" class="text" tabindex="3" /><br />
	    </div>
		
	    <div class="commentform-headers">
          <p class="small">You can use these tags: <em><?php echo allowed_tags(); ?></em></p>
        </div>
		
		<br />
		
        <div class="commentform-buttons">
          <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
          <?php comment_id_fields(); ?>
          <?php do_action('comment_form', $post->ID); ?>
		  <input name="submit" id="submit" type="submit" tabindex="5" value=" Say It! " />
		  <input name="reset" id="reset" type="reset" tabindex="3" value=" Reset " /> 
        </div>
	  </div>
	
	  <div class="commentform-textarea">
        <textarea name="comment" id="comment" cols="50" rows="10" tabindex="4"></textarea>
	  </div>
	  
	  </form>
    </div> <!-- end .commentform -->
  </div> <!-- end .commentsdiv -->
	<?php } ?>
