  <?php get_header(); ?>
  
  
  <!--
    include the config file, all the options are in here;
	//-->
  <?php include_once("config.php"); ?>


  <div id="rap">
    <div id="header">
	  <div id="rssicon">
	    <a href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed"><img alt="RSS" src="<?php bloginfo('stylesheet_directory'); ?>/images/rss.png" /></a>
	  </div>
	  
      <h1>
		<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a>
	  </h1>
	  <h2><?php bloginfo('description'); ?></h2>
    </div>
	
		
    <div id="navcontainer">
	  <div id="search">
	    <?php include("searchform.php"); ?>
	  </div>
	  
      <ul id="menu">
          <li><a href="<?php bloginfo('url'); ?>" title="Home">Home</a></li>
          <?php wp_register(); ?>
          <li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed">RSS Feed</a></li>
          <li><a href="<?php bloginfo('comments_rss2_url'); ?>" 
		  	title="<?php _e('The latest comments to all posts in RSS'); ?>">RSS Comments Feed</a></li>
          <li><a href="mailto:<?php bloginfo('admin_email'); ?>" title="Contact Us">Contact</a></li>
          <li><?php wp_loginout(); ?></li>
      </ul>
    </div>
	
	  
	<?php if (have_posts()) { ?>
	  
      <?php
            $paged      = (get_query_var('paged')) ? get_query_var('paged') : 1;		
	        $temp_query = $wp_query; 
		    $post_count = 0; 
			$my_query   = new WP_Query('cat=' . $featured_post_cat . '&showposts=1'); ?>
			  
	  <div class="fullsize">
	    <div class="featured">
	  <?php if ($featured_post) { ?>
		  <?php while ($my_query->have_posts()) : $my_query->the_post(); 
		        $f_id = $post->ID;
		        require("post-featured.php");
		      endwhile; ?>
	  <?php } ?>
		</div>
	  </div>
	  	  
	  <?php if ($order_switch == 1)
		    {
			  $my_query = new WP_Query('cat=' . $column_1 . '&showposts=' . $column_max . '&paged=' . $paged . ''); 
			} else { 
			  $my_query = $temp_query; 
			}
			$num			= sizeof($posts);
		    $post_count   = 0; ?>
	  
	  <?php if ($column_two == 1) { ?>
	    <div id="left" class="coltwo">
	  <?php } else { ?>
		<div id="left" class="column">
	  <?php } ?>
	      <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
		    <?php 
			      if ($post->ID == $f_id) continue;
				  
				  update_post_caches($posts);

			      /*
				   * The first order; post in left, then middle, then right columns;
				   *
				   * ($temp + 3) % 3    -> should yield 0   [ (0+3)/3 ]
				   */
				  if ($order_switch == 0) {
				    $temp = $post_count;
		            if (($temp + 3) % 3 == 0) {
			          require("post.php");
					  array_push($posted[$column_1], $post->ID);
			        }
				    $post_count++;
				  }
				  
				  /*
				   * The second order; post one category per column;
				   */
				  if ($order_switch == 1) {
		            if (in_category($column_1)) {
			          require("post.php");
			          $post_count++;
					  array_push($posted[$column_1], $post->ID);
			        }
				  }
				  
				  /* 
				   * The third order; post equally;
				   */
				  if ($order_switch == 2) {
				    $temp = $post_count;
				    if ($post_count < floor($num / 3)) {
					  require("post.php");
					  array_push($posted[$column_1], $post->ID);
					}
			        $post_count++;
				  }
				  continue;
				  ?>
	      <?php endwhile; ?>
		</div>
		
		
		
	    <?php if ($order_switch == 1)
		      {
			    $my_query = new WP_Query('cat=' . $column_2 . '&showposts=' . $column_max . '&paged=' . $paged . ''); 
			  } else { 
			    $my_query = $temp_query; 
			  }
			  $num			= sizeof($posts);
		      $post_count   = 0; ?>
		
		<?php if ($column_two == 1) { ?>
		<div id="middle" class="coltwo">
		<?php } else { ?>
		<div id="middle" class="column">
		<?php } ?>
		<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
		    <?php 
			      if ($post->ID == $f_id) {
					continue;
				  }
				  if (in_array($post->ID, $posted[$column_1]) && $post_repeat == 0) {
					continue;
				  }
				  
				  update_post_caches($posts);

			      /*
				   * The first order; post in left, then middle, then right columns;
				   *
				   * ($temp + 2) % 3    -> should yield 0   [ (1+2)/3 ]
				   */
			      if ($order_switch == 0) {
				    $temp = $post_count;
				    if (($temp + 2) % 3 == 0) {  
			          require("post.php"); 
					  array_push($posted[$column_2], $post->ID);
			        } 
			        $post_count++;
				  }
				  
				  /*
				   * The second order; post one category per column;
				   */
				  if ($order_switch == 1) {
		            if (in_category($column_2)) {
			          require("post.php");
			          $post_count++;
					  array_push($posted[$column_2], $post->ID);
			        }
				  }
				  
				  /* 
				   * The third order; post equally;
				   */
				  if ($order_switch == 2) {
				    $temp = $post_count;
				    if (($post_count >= floor($num / 3)) && ($post_count < (floor($num / 3) * 2))) {
					  require("post.php");
					  array_push($posted[$column_2], $post->ID);
					}
					$post_count++;
				  }
				  continue;
				  ?>
		  <?php endwhile; ?>
		</div>
		
		
		
		
	    <?php if ($order_switch == 1)
		      {
			    $my_query = new WP_Query('cat=' . $column_3 . '&showposts=' . $column_max . '&paged=' . $paged . ''); 
			  } else { 
			    $my_query = $temp_query; 
			  }
			  $num			= sizeof($posts);
		      $post_count   = 0; ?>
		
		<?php if ($column_two == 1) { ?>
		<div id="right" class="noshow">
		<?php } else { ?>
		<div id="right" class="column">
		<?php } ?>
		  <?php while($my_query->have_posts()) : $my_query->the_post(); ?>
		    <?php 
			      if ($post->ID == $f_id) {
				    continue;
				  }
				  if ((in_array($post->ID, $posted[$column_1]) || in_array($post->ID, $posted[$column_2])) &&
				  	$post_repeat == 0) {
					continue;
				  }
				 
				  update_post_caches($posts);
				  
			      /*
				   * The first order; post in left, then middle, then right columns;
				   */
				  if ($order_switch == 0) {
				    $temp = $post_count;
			        if (($temp + 1) % 3 == 0) { 
			          require("post.php");
					  array_push($posted[$column_3], $post->ID);
			        } 
			        $post_count++;
				  }
				  
				  /*
				   * The second order; post one category per column;
				   */
				  if ($order_switch == 1) {
		            if (in_category($column_3)) {
			          require("post.php");
			          $post_count++;
					  array_push($posted[$column_3], $post->ID);
			        }
				  }
				  
				  /* 
				   * The third order; post equally;
				   */
				  if ($order_switch == 2) {
				    $temp = $post_count;
				    if ($post_count >= (floor($num / 3) * 2)) {
			          require("post.php");
					  array_push($posted[$column_3], $post->ID);
					}
					$post_count++;
				  }
			      continue;
				  ?>
		  <?php endwhile; ?>
		</div>
	    
		<div id="sidebar">
	      <?php get_sidebar(); ?>
	    </div>
		
		<div class="spacer">&nbsp;</div>
		
	  <div class="fullsize">
		<div class="navigation">
		  <div class="alignleft"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
		  <div class="alignright"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
		</div>
	  </div>
		
	  <?php } else { ?>
	  
		<div class="full">
	      <h2>Not Found</h2>
	      <p>Sorry, but this blog is a virgin. Be gentle.</p>
		</div>
		
	  <?php } ?>
	
	  <div class="spacer">&nbsp;</div>
	
    <?php get_footer(); ?>