	      <div class="post">
			<!--
			  the top of the post, we truncate the title itself so it fits, in case of long post 
			  titles - title will still show the full title though
			  -->
		    <div class="post-top">
		      <h2 id="post-<?php the_ID(); ?>">
			    <a href="<?php the_permalink() ?>" rel="bookmark tag" 
					title="Permanent Link to <?php the_title(); ?>"><?php the_title('','',TRUE); ?></a>
			  </h2>
			</div> <!-- end .post-top -->
			
			<!--
			  the main section of the post goes here
			  -->
			<div class="post-middle">
			  <?php if (is_home() || is_archive()) {
			          the_excerpt();
					} else {
			          the_content("Read the rest of " . the_title('', '', false) . " &raquo;"); 
					} ?>
			</div> <!-- end .post-middle -->
			
			<!--
			  the bottom of the post
			  -->
			<div class="post-bottom">
		      <p class="postmetadata">
			    <a href="<?php the_permalink(); ?>" title="<?php bloginfo('description'); ?>"><img 
				  src="<?php bloginfo('template_url'); ?>/images/article_icon.gif" alt="Article" /></a>
		        Posted by <strong><?php the_author(); ?></strong>	    
				in <?php the_category(', ') ?> 
			    <?php edit_post_link('Edit','&bull;&nbsp;','&nbsp;&bull;'); ?> 
				<a href="<?php comments_link(); ?>" 
				    title="<?php comments_number('0','1','%'); ?> comments on this post.">
		            <?php comments_number('0 comments','1 comment','% comments'); ?>
			    </a>
		      </p> 
			</div> <!-- end .post-bottom -->
		  </div> <!-- end .post -->
