		  
		  <div <?php post_class('post-single'); ?>>
		    <!--
			  Above the post on the top right, the date;
			  //-->
			<div class="post-info uppercase">
		      <?php $month = get_the_time('M'); $mon = get_the_time('n'); $yr = get_the_time('Y'); ?>
			  <a href="<?php bloginfo('url'); ?>/<?php echo $yr; ?>/<?php echo $mon; ?>/"><?php echo $month; ?></a>
			  <?php the_time('j'); ?>, 
			  <a href="<?php bloginfo('url'); ?>/<?php echo $yr; ?>/"><?php the_time('Y'); ?></a>
			</div>

			<!--
			  the top of the post, the background graphic gets applied here, and we truncate the
			  title itself so it fits, in case of long post titles - title will still show
			  the full title though
			  -->
		    <div class="post-top">
			  <?php if (in_category($featured_post_cat) && $featured_post_icon) { ?>
			    <img src="<?php bloginfo('template_url'); ?>/images/document_icon.gif" alt="Featured" 
				  	style="width:20px;height:20px;border:0;" />
			  <?php } ?>
			  
		      <h2 id="post-<?php the_ID(); ?>"><?php the_title(); ?></h2>
			</div> <!-- end .post-top -->
			
			<div class="post-middle">
			  <?php if (is_search()) { 
			          the_excerpt(); 
					} else { 
					  the_content(); } ?>
					  
		      <!-- <?php trackback_rdf(); ?> -->
			  
			  <br />
			  
			  <p><?php the_tags('Tags: ', ', ', ''); ?></p>
			</div> <!-- end .post-middle -->
			
			<div class="post-bottom">
			  <p>
			    <a href="<?php trackback_url(display); ?>" title="Trackback">Trackback</a>
				&nbsp;&bull;&nbsp;
				Posted by <?php the_author_link(); ?> in <?php $category = get_the_category(); ?><a href="<?php echo get_category_link($category[0]->cat_ID);?>"><?php echo $category[0]->cat_name; ?></a>  category
			  </p>
			</div> <!-- end .post-bottom -->
			
		    <div class="navigation">
		      <div class="alignleft"><?php previous_post('%','&laquo; Previous Post', 'no'); ?></div>
		      <div class="alignright"><?php next_post('%','Next Post &raquo;', 'no'); ?> </div>
			</div>
		  </div> <!-- end .post //-->
		  
		  <div class="spacer">&nbsp;</div>
		  
		  <?php comments_template(); ?>
			
