	      <?php if(!function_exists('wp_list_comments')) { ?>
		  
            <?php if (is_home()) { ?>
		    <div class="post-home">
		    <?php } else { ?>
		    <div>
		    <?php } ?>
			
		  <?php } else { ?>
		  
		    <?php if (is_home()) { ?>
			<div <?php post_class('post-home'); ?>>
			<?php } else { ?>
			<div <?php post_class(); ?>>
			<?php } ?>
			
		  <?php } ?>
		    <!--
			  Above the post on the top right, the date;
			  //-->
			<div class="post-info uppercase">
		      <?php $month = get_the_time('M'); $mon = get_the_time('n'); $yr = get_the_time('Y'); ?>
			  <a href="<?php bloginfo('url'); ?>/<?php echo $yr; ?>/<?php echo $mon; ?>/"><?php echo $month; ?></a>
			  <?php the_time('j'); ?>, 
			  <a href="<?php bloginfo('url'); ?>/<?php echo $yr; ?>/"><?php the_time('Y'); ?></a>
			</div>
			  

			<!--
			  the top of the post, and we truncate the title itself so it fits, in case of long 
			  post titles - title will still show the full title though
			  -->
		    <div class="post-top">
			  <!--
			    We're looking for category 6, which is the featured category as defined in index.php
				change this to whichever category you have set up as "special"
				-->
			    <?php if (in_category($featured_post_cat) && $featured_post_icon) { ?>
			      <img src="<?php bloginfo('template_url'); ?>/images/document_icon.gif" alt="Featured" 
				  	style="width:20px;height:20px;border:0;" />
			    <?php } ?>
		      <h3 id="post-<?php the_ID(); ?>">
				<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
				  <?php
				    $tit = the_title('','',FALSE);
			        echo substr($tit, 0, 51);
				    if (strlen($tit) > 51) echo " ...";
			      ?>
			    </a>
			  </h3>
			  
			  <h4>
			    By <span class="uppercase"><?php the_author_firstname(); echo " "; the_author_lastname(); ?></span>
			  </h4>
			</div> <!-- end .post-top -->
			
			<!--
			  the main section of the post goes here
			  -->
			<div class="post-middle">
		      <?php trackback_rdf(); ?>
			  
			  <?php if (is_home() || is_archive()) {
			          the_excerpt();
					} else {
			          the_content("Read the rest of " . the_title('', '', false) . " &raquo;"); 
					} ?>

			  <p><?php the_tags('Tags: ', ', ', ''); ?></p>
			</div> <!-- end .post-middle -->
			
			<!--
			  the bottom of the post, the background graphic gets applied here
			  -->
			<div class="post-bottom">
		      <p class="postmetadata">
				<a href="<?php comments_link(); ?>" title="<?php comments_number('(0 comments)','(1 comment)','(% comments)'); ?>">
				  <img class="comments_icon" src="<?php bloginfo('stylesheet_directory'); ?>/images/comments_icon.png" alt="Comments" />
				</a>
				
				<span><a href="<?php comments_link(); ?>" title="<?php comments_number('(0 comments)','(1 comment)','(% comments)'); ?>">
				  <?php comments_number('(0 comments)','(1 comment)','(% comments)'); ?>
				</a></span>
				
			    <?php if (!is_home()) { ?>
				
		          Posted by <strong><?php the_author(); ?></strong> 			    
				  <a href="<?php the_author_url(); ?>" title="<?php the_author(); ?>'s website">
			        <img src="<?php bloginfo('template_url'); ?>/images/website.gif" 
				        alt="<?php the_author(); ?>'s website" />
			      </a>
				  <a href="mailto:<?php echo antispambot(get_the_author_email()); ?>" 
				    title="<?php the_author(); ?>'s email">
				    <img src="<?php bloginfo('template_url'); ?>/images/email.gif"
				  	  alt="<?php the_author(); ?>'s email" />
				  </a>
				  in <?php the_category(', ') ?> 
			      <?php edit_post_link('Edit','&bull;',''); ?> 
				  
				<?php } ?>
		      </p> 
			</div> <!-- end .post-bottom -->
		  </div> <!-- end .post .post-single -->
		  
		  <?php if (is_category()) { ?>
		    <div class="spacer">&nbsp;</div>
		  <?php } ?>
