	  <?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar()) { ?>
	    
	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Calendar'); ?></h2></div>
		<div class="sidebar_content">
		  <?php get_calendar(); ?>
		</div>
	  </div>
	  
	  
	  
	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Last 10 Posts'); ?></h2></div>
		<div class="sidebar_content">
          <ul>
		    <?php wp_get_archives('type=postbypost&limit=10&format=html&show_post_count=1'); ?> 
		  </ul>
		</div>
	  </div>
	 
	  
	  
	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Pages'); ?></h2></div>
		<div class="sidebar_content">
		  <ul><?php wp_list_pages('sort_column=post_title&title_li=&categorize=0' ); ?></ul>		
		</div>
	  </div>
	  	  


	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Categories'); ?></h2></div>
		<div class="sidebar_content">
		  <ul>
		    <?php wp_list_categories('orderby=name&hide_empty=1&categorize=0&title_li='); ?>
		  </ul>
		</div>
	  </div>
	  


	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Archives'); ?></h2></div>
		<div class="sidebar_content">
		  <ul>
		    <?php wp_get_archives('type=monthly&format=html'); ?> 
		  </ul>
		</div>
	  </div>
	  
	  
	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Tag Cloud'); ?></h2></div>
		<div class="sidebar_content">
		  <p id="tagcloud">
		    <?php wp_tag_cloud(); ?>
		  </p>
		</div>
	  </div>	  
	  
	  

	  <?php if (is_home() || is_category()) { ?>  
	  <div class="sidebar_section">
	    <div class="sidebar_top"><h2><?php _e('Recent Links'); ?></h2></div>
		<div class="sidebar_content">
		  <ul>
		    <?php get_links('-1', '<li>', '</li>', '<br />', FALSE, 'rand', TRUE, FALSE, '10', TRUE, TRUE); ?>
		  </ul>
		</div>
	  </div>
	  <?php } ?>

      <?php } ?>
